%define unmangled_version 2021.12.17
%define release 1


# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define original_name youtube_dl
%define dashed_name youtube-dl
%define module_to_save youtube_dl

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           python-%{dashed_name}
Version:        2021.12.17
Release:        %{mybuildnumber}%{?dist}
Summary:        YouTube video downloader

License:        Unlicense
Source:         %{url}/archive/v%{version}/%{original_name}-%{version}.tar.gz

Patch0:      no-manpage-install.diff

BuildArch: noarch
BuildRequires:     pyproject-rpm-macros
BuildRequires:     python3-setuptools
BuildRequires:     python3-packaging


%global _description %{expand:
Command-line program to download videos from YouTube.com and other video sites

}

%description %_description

%package -n python3-%{dashed_name}
Summary:        %{summary}

%description -n python3-%{dashed_name} %_description

%prep
%autosetup -p1 -n %{original_name}-%{version}

%generate_buildrequires
if test -f tox.ini ; then

%pyproject_buildrequires -t

else

%pyproject_buildrequires

fi


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{module_to_save}


%check
if test -f tox.ini  ; then

%tox

fi

%files -n python3-%{dashed_name} -f %{pyproject_files}
%doc README*

%{_docdir}/youtube_dl/README.txt
%{_prefix}/etc/fish/completions/youtube-dl.fish
%{_prefix}/etc/bash_completion.d/youtube-dl.bash-completion
%{_bindir}/youtube-dl

%changelog
* Thu Jun 16 2022 Manuel Amador <rudd-o@rudd-o.com> 0.1.0-1
- This release date means nothing.
